Debian Bug report logs - #639711
w3c-markup-validator: misdetects version of HTML::Template

version graph

Package: w3c-markup-validator; Maintainer for w3c-markup-validator is Nicholas Bamber <nicholas@periapt.co.uk>; Source for w3c-markup-validator is src:w3c-markup-validator.

Reported by: Olivier Berger <olivier.berger@it-sudparis.eu>

Date: Mon, 29 Aug 2011 16:09:02 UTC

Severity: grave

Tags: confirmed

Found in version w3c-markup-validator/1.2+dfsg-1

Fixed in version w3c-markup-validator/1.2+dfsg-2

Done: Nicholas Bamber <nicholas@periapt.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#639711; Package w3c-markup-validator. (Mon, 29 Aug 2011 16:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
New Bug report received and forwarded. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Mon, 29 Aug 2011 16:09:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: w3c-markup-validator: misdetects version of HTML::Template
Date: Mon, 29 Aug 2011 18:05:30 +0200
Package: w3c-markup-validator
Version: 1.2+dfsg-1
Severity: normal

Hi.

Here's what I get :
$ /usr/lib/cgi-bin/w3c-markup-validator/check
Status: 500
Content-type: text/html

<h1>Software error:</h1>
<pre>HTML::Template version 2.6 required--this is only version 2.10 at /usr/lib/cgi-bin/w3c-markup-validator/check line 56.
BEGIN failed--compilation aborted at /usr/lib/cgi-bin/w3c-markup-validator/check line 56.
</pre>
<p>
For help, please send mail to this site's webmaster, giving this error message 
and the time and date of the error.

</p>
[Mon Aug 29 17:59:58 2011] check: HTML::Template version 2.6 required--this is only version 2.10 at /usr/lib/cgi-bin/w3c-markup-validator/check line 56.
[Mon Aug 29 17:59:58 2011] check: BEGIN failed--compilation aborted at /usr/lib/cgi-bin/w3c-markup-validator/check line 56.

Uh... it detects 2.10 < 2.6, is it ?

Hope this helps,


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (300, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages w3c-markup-validator depends on:
ii  apache2                      2.2.19-1    Apache HTTP Server metapackage
ii  apache2-mpm-prefork [apache2 2.2.19-1    Apache HTTP Server - traditional n
ii  libconfig-general-perl       2.50-1      Generic Configuration Module
ii  libencode-hanextra-perl      0.23-2+b1   perl module providing extra sets o
ii  libhtml-encoding-perl        0.61-1      perl module determining the encodi
ii  libhtml-parser-perl          3.68-1+b1   collection of modules that parse H
ii  libhtml-template-perl        2.10-1      module for using HTML Templates wi
ii  libjson-perl                 2.53-1      module for manipulating JSON-forma
ii  libnet-ip-perl               1.25-3      Perl extension for manipulating IP
ii  libset-intspan-perl          1.16-1      module to manage sets of integers
ii  libsgml-parser-opensp-perl   0.994-2     OpenSP Parser of SGML documents
ii  libtext-iconv-perl           1.7-4       converts between character sets in
ii  liburi-perl                  1.59-1      module to manipulate and access UR
ii  libwww-perl                  6.02-1      simple and consistent interface to
ii  libxml-libxml-perl           1.84+dfsg-1 Perl interface to the libxml2 libr
ii  perl                         5.12.4-4    Larry Wall's Practical Extraction 
ii  w3c-sgml-lib                 1.2-1       w3.org DTD and catalog files

Versions of packages w3c-markup-validator recommends:
ii  libhtml-tidy-perl             1.50-1+b1  module for (X)HTML validation

Versions of packages w3c-markup-validator suggests:
ii  libtest-html-w3c-perl         0.03-2     wrapper around W3C HTML validation
ii  libwebservice-validator-html- 0.27-1     Perl interface to access the W3C's
pn  libxml-path-perl              <none>     (no description available)

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#639711; Package w3c-markup-validator. (Mon, 29 Aug 2011 18:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Mon, 29 Aug 2011 18:21:09 GMT) Full text and rfc822 format available.

Message #10 received at 639711@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 639711@bugs.debian.org
Subject: confirmed
Date: Mon, 29 Aug 2011 19:23:20 +0100
tag 639711 +confirmed
forwarded 639711
"http://lists.w3.org/Archives/Public/www-validator/2011Aug/0062.html"
severity 639711 severe
thanks

-- 
Nicholas Bamber | http://www.periapt.co.uk/
PGP key 3BFFE73C from pgp.mit.edu




Added tag(s) confirmed. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Mon, 29 Aug 2011 18:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#639711; Package w3c-markup-validator. (Mon, 29 Aug 2011 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Dorward <david@dorward.me.uk>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Mon, 29 Aug 2011 19:03:03 GMT) Full text and rfc822 format available.

Message #17 received at 639711@bugs.debian.org (full text, mbox):

From: David Dorward <david@dorward.me.uk>
To: 639711@bugs.debian.org
Subject: This is an HTML::Template bug
Date: Mon, 29 Aug 2011 19:59:52 +0100
HTML::Template misdeclares its version. 2.10 is, by CPAN conventions, lower than 2.6.

A bug has already been filed upstream: https://rt.cpan.org/Public/Bug/Display.html?id=70190

-- 
David Dorward
http://dorward.me.uk





Added tag(s) pending. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Mon, 29 Aug 2011 21:03:11 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'normal' Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Mon, 29 Aug 2011 21:03:11 GMT) Full text and rfc822 format available.

Reply sent to Nicholas Bamber <nicholas@periapt.co.uk>:
You have taken responsibility. (Tue, 30 Aug 2011 21:36:15 GMT) Full text and rfc822 format available.

Notification sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Bug acknowledged by developer. (Tue, 30 Aug 2011 21:36:16 GMT) Full text and rfc822 format available.

Message #26 received at 639711-close@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 639711-close@bugs.debian.org
Subject: Bug#639711: fixed in w3c-markup-validator 1.2+dfsg-2
Date: Tue, 30 Aug 2011 21:33:57 +0000
Source: w3c-markup-validator
Source-Version: 1.2+dfsg-2

We believe that the bug you reported is fixed in the latest version of
w3c-markup-validator, which is due to be installed in the Debian FTP archive:

w3c-markup-validator_1.2+dfsg-2.debian.tar.gz
  to main/w/w3c-markup-validator/w3c-markup-validator_1.2+dfsg-2.debian.tar.gz
w3c-markup-validator_1.2+dfsg-2.dsc
  to main/w/w3c-markup-validator/w3c-markup-validator_1.2+dfsg-2.dsc
w3c-markup-validator_1.2+dfsg-2_all.deb
  to main/w/w3c-markup-validator/w3c-markup-validator_1.2+dfsg-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 639711@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicholas Bamber <nicholas@periapt.co.uk> (supplier of updated w3c-markup-validator package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 30 Aug 2011 21:03:25 +0100
Source: w3c-markup-validator
Binary: w3c-markup-validator
Architecture: source all
Version: 1.2+dfsg-2
Distribution: unstable
Urgency: low
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Changed-By: Nicholas Bamber <nicholas@periapt.co.uk>
Description: 
 w3c-markup-validator - W3C Markup Validator
Closes: 639711
Changes: 
 w3c-markup-validator (1.2+dfsg-2) unstable; urgency=low
 .
   * Corrected bug number regarding mod_perl disablement in patch.
     Thanks to Jorg Sommer for pointing this out.
   * Patched out versioned dependency on HTML::Template (Closes: 639711)
   * Raised standards version to 3.9.2
   * Added lintian override about apparently phoney duplicate file warning
   * Changed repository to github
Checksums-Sha1: 
 039aa64593185a4ed03aa9fec77ba6eeb0b50a49 2102 w3c-markup-validator_1.2+dfsg-2.dsc
 39518326bac56a55b0871ce4be5402e8bb76a37c 2385520 w3c-markup-validator_1.2+dfsg.orig.tar.gz
 660b3fe14e70ea2568b8a4dd85d4c5429055e7f4 24126 w3c-markup-validator_1.2+dfsg-2.debian.tar.gz
 061a5a6568281a9dd6d41523204cebdd5453012b 2474044 w3c-markup-validator_1.2+dfsg-2_all.deb
Checksums-Sha256: 
 762a0d66541413f98cbc4076874302d2f6d6e28208838f5a2cc127fa404f8b38 2102 w3c-markup-validator_1.2+dfsg-2.dsc
 c0c91cdaff7f59454c14c579afae7d1ae0447ec766583d042fec46c5582e6fa9 2385520 w3c-markup-validator_1.2+dfsg.orig.tar.gz
 f75a7183de2a349da52a92c641aa8bd6ddf2ae94eea4f2d4247159e780e85934 24126 w3c-markup-validator_1.2+dfsg-2.debian.tar.gz
 00ac7bcbab4cbd64b46034a86e0a94c11066453cc4c57eece004dba6c7dc9ed2 2474044 w3c-markup-validator_1.2+dfsg-2_all.deb
Files: 
 adfcf37b308863dfb5652a4a58e9701f 2102 web optional w3c-markup-validator_1.2+dfsg-2.dsc
 be239504510e2a0ca7b822b05896b4d1 2385520 web optional w3c-markup-validator_1.2+dfsg.orig.tar.gz
 e29d1ef1559d275f2dd416e245f5e825 24126 web optional w3c-markup-validator_1.2+dfsg-2.debian.tar.gz
 86441f5ab4bc8eaf687c48bf09349faf 2474044 web optional w3c-markup-validator_1.2+dfsg-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOXVPmAAoJELbE2bY7/+c8L6QQAOYwX7Ubch5dHfrzLrWU8bnT
59Ft56yTRLyFFmsyoD4AN0ZlvmEpvbvkdsYZVeUjKCvi/e5nc18J9VBJc1uknluL
pPfGTFcLT1Mcwc+KL0ROBMkbfRjSAS74APJrGMbeb1+1NuM6iHfw2HvNYENvNicR
7nBmYAWnWb1DViGf9aAeqQW0cZZUYRDwKvub3Q5XSqFZrKBsFI3++f212p3UIJGC
X+GQyWSgYGX3xpBmGYnf3OJEX3ihMarWl+SSRkXYxr5sQB0DpCZeDOd5sEa5d6bX
dr8ga1i5mTpN99GVeggmcLMR7vNZMIQDkU3Lmsi1gRLyKZ20nAdrVskAGNy0mkcR
wBH8TxD363RJ5IoR6VeLxFs8Fx0n3wgM01DjHnjiVWm2BLKPhVJu41lYrgS2LlfJ
JaVT15ivLJy3D8OIsfv24QIcVp1sb8VdneebjPRzXIHVW7qHtL1bUsZ02yIdUGGu
82jfN11Z/Yr/j95b90axtfMLGAq4+iM5k0Q5sEHtykfmOXVJckPQNJfBs0fVbhDc
on+QgNwPAyVT0Nlqp4uLYlUgctSOm/3oU6hem1f20fr3Pe6hPa6DPYhwmXr5RfX7
YnMEBuFSJ5osYmHrYiC0Q1spJfaLHn1UZ5dHZQezWQFLWpaAAcV+9UyoCbJx+RmA
whxwln/hsLN4y3suxW6L
=fVhC
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#639711; Package w3c-markup-validator. (Sat, 10 Sep 2011 09:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to juhani.karlsson@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Sat, 10 Sep 2011 09:09:09 GMT) Full text and rfc822 format available.

Message #31 received at 639711@bugs.debian.org (full text, mbox):

From: Juhani Karlsson <juhani.karlsson@lrdlnx.iki.fi>
To: 639711@bugs.debian.org
Subject: RE: w3c-markup-validator: misdetects version of HTML::Template
Date: Sat, 10 Sep 2011 12:06:54 +0300
Hi

I can confirm problem.
On my website http://lrdlnx.iki.fi/ there is a link
http://lrdlnx.iki.fi/w3c-validator/check?uri=referer
and when I click it, nothing happends, used to work in Squeeze, just
upgraded to Wheezy.
When i click, nothing happends and in /var/log/apache2/error.log

[Sat Sep 10 11:45:46 2011] [error] [client 84.250.42.74] [Sat Sep 10
11:45:46 2011] check: HTML::Template version 2.6 required--this is only
version 2.10 at /usr/lib/cgi-bin/w3c-markup-validator/check line 56.,
referer: http://lrdlnx.iki.fi/
[Sat Sep 10 11:45:46 2011] [error] [client 84.250.42.74] [Sat Sep 10
11:45:46 2011] check: BEGIN failed--compilation aborted at
/usr/lib/cgi-bin/w3c-markup-validator/check line 56., referer:
http://lrdlnx.iki.fi/

Open link in new tab --> :

Software error:

HTML::Template version 2.6 required--this is only version 2.10 at /usr/lib/cgi-bin/w3c-markup-validator/check line 56.
BEGIN failed--compilation aborted at /usr/lib/cgi-bin/w3c-markup-validator/check line 56.


-- 
-------------------------
Juhani Karlsson
juhani dot karlsson at iki dot fi
http://lrdlnx.iki.fi
-------------------------

X-Virus-Scanned: Debian amavisd-new (with ClamAV) at lrdlnx.iki.fi





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 Oct 2011 07:32:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:28:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.